Bug 12438 - Webkit does not handle additive attribute on animation elements correctly
Summary: Webkit does not handle additive attribute on animation elements correctly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.w3.org/Graphics/SVG/Test/2...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-27 04:06 PST by Eric Seidel (no email)
Modified: 2008-04-17 21:04 PDT (History)
2 users (show)

See Also:


Attachments
patch (59.96 KB, patch)
2008-04-15 16:40 PDT, Antti Koivisto
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-01-27 04:06:03 PST
Webkit does not handle accumulate or additive attributes on animation elements correctly

This is visible in several of the test cases.  This example is one of the most noticeable however.

This is mostly the result of not having a working animVal/baseVal architecture, thus not being able to save off the original value.
Comment 1 Antti Koivisto 2008-04-15 16:40:26 PDT
Created attachment 20567 [details]
patch

Make multiple additive animations work.
Comment 2 Antti Koivisto 2008-04-16 21:36:10 PDT
I promise this is the last oversized animation patch, the rest will be easier to split up. :)
Comment 3 Eric Seidel (no email) 2008-04-16 22:12:02 PDT
Comment on attachment 20567 [details]
patch

I made some comments in IRC about comments... in general it looks fine.  I assume you'll land a slightly modified version.
Comment 4 Antti Koivisto 2008-04-17 21:01:22 PDT
Sending        WebCore/ChangeLog
Sending        WebCore/svg/SVGAnimateColorElement.cpp
Sending        WebCore/svg/SVGAnimateColorElement.h
Sending        WebCore/svg/SVGAnimateElement.cpp
Sending        WebCore/svg/SVGAnimateElement.h
Sending        WebCore/svg/SVGAnimateMotionElement.cpp
Sending        WebCore/svg/SVGAnimateMotionElement.h
Sending        WebCore/svg/SVGAnimateTransformElement.cpp
Sending        WebCore/svg/SVGAnimateTransformElement.h
Sending        WebCore/svg/SVGAnimationElement.cpp
Sending        WebCore/svg/SVGAnimationElement.h
Sending        WebCore/svg/SVGSVGElement.cpp
Sending        WebCore/svg/SVGSetElement.cpp
Sending        WebCore/svg/SVGSetElement.h
Sending        WebCore/svg/animation/SMILTimeContainer.cpp
Sending        WebCore/svg/animation/SMILTimeContainer.h
Sending        WebCore/svg/animation/SVGSMILElement.cpp
Sending        WebCore/svg/animation/SVGSMILElement.h
Transmitting file data ..................
Committed revision 32044.
Comment 5 Antti Koivisto 2008-04-17 21:04:38 PDT
That fixed additive, filed https://bugs.webkit.org/show_bug.cgi?id=18564 to cover accumulate.